package org.dromara.ygpassport.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.ArchivesGoBo;
import org.dromara.ygpassport.domain.vo.ArchivesGoVo;

import java.io.Serial;

@Data
@AutoMapper(target = ArchivesGoBo.class, reverseConvertGenerate = false)
public class WxArchivesGoDto {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 档案去向
     */
    private Long archivesMethod;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    public WxArchivesGoDto() {

    }

    public WxArchivesGoDto(ArchivesGoVo archivesGoVo) {
        this.id = archivesGoVo.getId();
        this.stuNo = archivesGoVo.getStuNo();
        this.archivesMethod = archivesGoVo.getArchivesMethod();
        this.experienceFilePath = archivesGoVo.getExperienceFilePath();
    }
}
